
/**
 * Class for bank accounts supporting deposit, withdraw, and balance inquiry.
 * Added support for account names
 * 
 * @author JP Vergara 
 * @version 1.1
 */
public class BankAccount
{
    // Each bank accountobject stores a balance
    private double balance;
    private String acctName;

    /**
     * Constructor for objects of class BankAccount
     * 
     * @param name    name of account holder
     * @param initBal  initial balance
     * 
     */
    public BankAccount( String name, double initBal )
    {
        acctName = name;
        balance = initBal;
    }

    /**
     * Deposits some amount into the account
     * 
     * @param amount  amount to be deposited
     * 
     */
    public void deposit( double amount )
    {
        double newBalance = balance + amount;
        balance = newBalance;
    }

    /**
     * Withdraws some amount from the account
     * 
     * @param amount  amount to be withdrawn
     * 
     */
    public void withdraw( double amount )
    {
        double newBalance = balance - amount;
        balance = newBalance;
    }

    /**
     * Get the current balance
     * 
     * @return  current balance 
     * 
     */
    public double getBalance( )
    {
        return balance;
    }

    /**
     * Get the name of the account holder
     * 
     * @return  name of the account holder
     * 
     */
    public String getAcctName( )
    {
        return acctName;
    }

}
